Bug 206716 - rhn-register gives interesting exception while raising exception
rhn-register gives interesting exception while raising exception
Status: CLOSED WONTFIX
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
medium Severity low
: ---
: ---
Assigned To: Mike Orazi
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 16:49 EDT by Michael DeHaan
Modified: 2008-10-14 16:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 16:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael DeHaan 2006-09-15 16:49:12 EDT
Description of problem:

I was trying to rhn_reg_ks a new RHEL 5.0 B1 install.  I gave it an incorrect
server URL.  rhn_reg_ks then threw an exception while trying to raise an
exception.  This problem went away when a correct URL was provided.  (In this
case, correct is https://xmlrpc.rhn.webqa.redhat.com/XMLRPC)

 rhnreg_ks --serverUrl=https://rhn.webqa.redhat.com/XMLRPC
--username=mdehaan_rhat --password=whatever --email=mdehaan@redhat.com

The issue here is that the exception does not explain what is wrong, and also
that there is a glitch in the exception handling (i.e. an exception is caused
while raising the exception).

Version-Release number of selected component (if applicable):

5.0/Beta-1

How reproducible:

Always


Steps to Reproduce:
1.  Install RHEL-5.0/Beta-1 (I used a clean manual install)
2.  Run rhnreg_ks with bogus arguments
3.  Observe traceback
  
Actual results:

An error has occurred:
exceptions.Exception
See /var/log/up2date for more information

-- START LOGFILE --

[Fri Sep 15 16:26:58 2006] up2date   File "/usr/sbin/rhnreg_ks", line 280, in ?
    cli.run()
   File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
   File "/usr/sbin/rhnreg_ks", line 105, in main
    rhnreg.getCaps()
   File "/usr/share/rhn/up2date_client/rhnreg.py", line 217, in getCaps
    rpcServer.doCall(s.registration.welcome_message)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 235, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/lib64/python2.4/xmlrpclib.py", line 1096, in __call__
    return self.__send(self.__name, args)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 45, in _request1
    ret = self._request(methodname, params)
   File "/usr/lib/python2.4/site-packages/rhn/rpclib.py", line 407, in _request
    raise Exception("Error requesting with the server:: error code:: %s" %
save_response)

-- END LOGFILE--

Expected results:

Error message to userland should explain what went wrong, and actual exception
should be shown.

Additional info:

N/A.
Comment 1 Red Hat Bugzilla 2007-04-11 21:14:23 EDT
User bnackash@redhat.com's account has been closed
Comment 2 Amanda Carter 2008-10-14 16:22:31 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.
Comment 3 Michael DeHaan 2008-10-14 16:38:45 EDT
I don't follow why this one should be closed or why I can't reopen it?

Note You need to log in before you can comment on or make changes to this bug.